apiVersion: apps/v1
kind: Deployment
metadata:
  name: wazuh-vat-evidence-collector
  labels:
    app: wazuh-vat-evidence-collector
spec:
  selector:
    matchLabels:
      app: wazuh-vat-evidence-collector
  template:
    metadata:
      labels:
        app: wazuh-vat-evidence-collector
    spec:
      containers:
        - image: optima-medina-docker-dev.artifact.tecnalia.com/wp3/t32/wazuh-vat-evidence-collector:latest
          name: wazuh-vat-evidence-collector
          imagePullPolicy: Always
          envFrom:
            - configMapRef:
              name: wazuh-vat-evidence-collector-env
          env:
            - name: TIME
              value: {{time}}
      imagePullSecrets:
        - name: regcred
